com.oracle.truffle.object

## Interface LocationImpl.InternalLongLocation

All Superinterfaces:
  BaseLocation, LongLocation, TypedLocation

All Known Implementing Classes:
  BasicLocations.LongArrayLocation, BasicLocations.LongFieldLocation, BasicLocations.LongLocationDecorator, BasicLocations.SimpleLongFieldLocation

Enclosing class:
  LocationImpl

    public static interface LocationImpl.InternalLongLocation
    extends LongLocation

### Method Summary

Methods
`void` `setLongInternal(DynamicObject store, long value)`

### Methods inherited from interface com.oracle.truffle.api.object.LongLocation

`getLong, getLong, getType, setLong, setLong, setLong`

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### setLongInternal

    void setLongInternal(DynamicObject store,
                       long value)